XalanLiaison (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.XalanLiaison class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional
Class XalanLiaison

    java.lang.Object
      org.apache.tools.ant.taskdefs.optional.XalanLiaison

All Implemented Interfaces:
  XSLTLiaison

public class XalanLiaison
extends java.lang.Object
implements XSLTLiaison

Concrete liaison for Xalan 1.x API.

Since:
  Ant 1.1
Author:
  Sam Ruby, Stephane Bailliez

Field Summary
`protected org.apache.xalan.xslt.XSLTProcessor` | `processor`
`protected java.io.File` | `stylesheet`

Fields inherited from interface org.apache.tools.ant.taskdefs.XSLTLiaison
`FILE_PROTOCOL_PREFIX`

Constructor Summary
`XalanLiaison()`

Method Summary
`void` | `addParam(java.lang.String name, java.lang.String value)` Add a parameter to be set during the XSL transformation.
`void` | `setStylesheet(java.io.File stylesheet)` set the stylesheet to use for the transformation.
`void` | `transform(java.io.File infile, java.io.File outfile)` Perform the transformation of a file into another.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### processor

    protected org.apache.xalan.xslt.XSLTProcessor processor

### stylesheet

    protected java.io.File stylesheet

Constructor Detail

### XalanLiaison

    public XalanLiaison()
                 throws java.lang.Exception

Method Detail

### setStylesheet

    public void setStylesheet(java.io.File stylesheet)
                       throws java.lang.Exception

  Description copied from interface: `XSLTLiaison`
  set the stylesheet to use for the transformation.

  Specified by:
    `setStylesheet` in interface `XSLTLiaison`
  Parameters:
    `stylesheet` - the stylesheet to be used for transformation.
  Throws:
    `java.lang.Exception`

### transform

    public void transform(java.io.File infile,
                          java.io.File outfile)
                   throws java.lang.Exception

  Description copied from interface: `XSLTLiaison`
  Perform the transformation of a file into another.

  Specified by:
    `transform` in interface `XSLTLiaison`
  Parameters:
    `infile` - the input file, probably an XML one. :-)
    `outfile` - the output file resulting from the transformation
  Throws:
    `java.lang.Exception` - thrown if any problems happens.
  See Also:
    `XSLTLiaison.setStylesheet(File)`

### addParam

    public void addParam(java.lang.String name,
                         java.lang.String value)

  Description copied from interface: `XSLTLiaison`
  Add a parameter to be set during the XSL transformation.

  Specified by:
    `addParam` in interface `XSLTLiaison`
  Parameters:
    `name` - the parameter name.
    `value` - the parameter value as an expression string.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.